
#include "CEPCStyle.h"


void InputsTDR()
{ 
    SetCEPCStyle();

    TChain Tree("Events", "Events");

    Tree.Add("/hpcfs/cepc/higgsgpu/zhangkl/work/pred_0529Z_S.root");

  TCanvas* c1 = new TCanvas("c1", "Tau Distributions", 1200, 900);


  TH1F JE1("Tau_Energy_1", "Tau Energy Distribution;E_{#tau} [GeV];A.U. / GeV", 100, 0, 100);
  
  Tree.Draw("jet_energy>>Tau_Energy_1","label_tau+label_taubar==1");

  TLatex *tex = new TLatex();
  FormatLatex(tex);
  tex->SetTextSize(60);
  JE1.SetLineColor(kBlue+2);
  JE1.SetLineWidth(4);
  
  JE1.GetYaxis()->SetTitleOffset(1.5);
  JE1.DrawNormalized();
  
  TLegend *legend = new TLegend(0.75, 0.3, 0.95, 0.66);
  FormatLegend(legend);
  legend->AddEntry("Tau_Energy_1", "Z#rightarrow#tau#tau",   "L");
  legend->Draw("SAME");

  tex->DrawLatexNDC(0.6, 0.88, "#bf{CEPC} Ref-TDR");
  tex->DrawLatexNDC(0.6, 0.8, "#sqrt{s}=91.2 GeV");

  c1->SaveAs("E_tau.pdf");
  c1->SaveAs("E_tau.png");

  TH2F JE2("Tau_Energy_CosTheta_1", "Tau Energy vs CosTheta;Cos(#theta_{#tau});E_{#tau} [GeV];", 100, -1, 1, 100, 0, 100);
  Tree.Draw("jet_energy : jet_costheta>>Tau_Energy_CosTheta_1", "label_tau+label_taubar==1","colz");

  gPad->SetRightMargin(0.2);
  gPad->SetTopMargin(0.08);
  gPad->Update();
  TPaletteAxis *palette = (TPaletteAxis*)JE2.GetListOfFunctions()->FindObject("palette");
    if (palette) {
        palette->SetX1NDC(0.82);
        palette->SetX2NDC(0.86); 
        palette->SetY1NDC(0.12); 
        palette->SetY2NDC(0.92); 
        JE2.GetZaxis()->SetTitle("Events"); 
    }
  JE2.Draw("colz");
  tex->DrawLatexNDC(0.16, 0.94, "#bf{CEPC} Ref-TDR, #sqrt{s}=91.2 GeV");
  // tex->DrawLatexNDC(0.6, 0.94, "#sqrt{s}=91.2 GeV");
  c1->SaveAs("E_tau_Costheta.pdf");
  c1->SaveAs("E_tau_Costheta.png");
}